summaryrefslogtreecommitdiff
path: root/Master/texmf-dist/source/generic/ruhyphen/mkcyryo
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2006-01-11 23:49:28 +0000
committerKarl Berry <karl@freefriends.org>2006-01-11 23:49:28 +0000
commitd780c57e68c80655669a3b01af46b9978f5698ef (patch)
tree7eb9b6d2291e813296b41ae01eb7872442b78e9d /Master/texmf-dist/source/generic/ruhyphen/mkcyryo
parent465c3a91c12b03e3e44ed760e4356fa340f830b8 (diff)
trunk/Master/texmf-dist/source/generic
git-svn-id: svn://tug.org/texlive/trunk@115 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/texmf-dist/source/generic/ruhyphen/mkcyryo')
-rwxr-xr-xMaster/texmf-dist/source/generic/ruhyphen/mkcyryo22
1 files changed, 22 insertions, 0 deletions
diff --git a/Master/texmf-dist/source/generic/ruhyphen/mkcyryo b/Master/texmf-dist/source/generic/ruhyphen/mkcyryo
new file mode 100755
index 00000000000..286c8657549
--- /dev/null
+++ b/Master/texmf-dist/source/generic/ruhyphen/mkcyryo
@@ -0,0 +1,22 @@
+#!/bin/sh
+# make patterns for the cyryo by repeating patterns for cyre
+
+TMP=.cyryo-tmp
+
+awk '/^\\patterns{/ {p=1;next} /^}/ {p=0;next} p {print}' $1 > $TMP
+cat $TMP | grep 'Å' | grep -v 'Å[^Å]*Å' > ${TMP}1
+cat $TMP | grep 'Å[^Å]*Å' | grep -v 'Å[^Å]*Å[^Å]*Å' > ${TMP}2
+cat $TMP | grep 'Å[^Å]*Å[^Å]*Å' > ${TMP}3
+test ! -s ${TMP}3 || { echo "*** triple cyre detected in $1:" 1>&2; cat ${TMP}3 1>&2; }
+
+{
+echo "% accompanying patterns for cyryo generated from $1"
+echo "\patterns{"
+cat ${TMP}1 | sed 's,Å,£,'
+cat ${TMP}2 | sed 'y,Å,£,'
+cat ${TMP}2 | sed 's,Å,£,'
+cat ${TMP}2 | sed 's,Å,£,2'
+echo "}"
+} | ./reduce-patt | ./sorthyph
+
+rm -f $TMP ${TMP}[123]